/*
** Copyright (C) 2006 Thadeu Lima de Souza Cascardo <cascardo@minaslivre.org>
** Copyright (C) 2009 Thadeu Lima de Souza Cascardo <cascardo@holoscopio.com>
**  
** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 2 of the License, or
** (at your option) any later version.
**  
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**  
** You should have received a copy of the GNU General Public License
** along with this program; if not, write to the Free Software
** Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
**  
*/

#ifndef POPPROXY_SSL_H
#define POPPROXY_SSL_H

#include "nethook.h"
#include "hcconn.h"

struct ssl_data
{
  char *server;
  gnutls_session_t session;
  GString *buffer;
  gboolean handshaking;
};

net_hook_t* ssl_hook_new (HCConn*, char*, char *);
void ssl_destroy (net_hook_t*);

net_hook_t * ssl_server_hook_new (net_hook_t *, char *, char *);

#endif
